# -*- tcl -*-
#		Listx @mFullVersion@, as of @mDate@
#		Listx @base:mFullVersion@
#
# CVS: $Id: listxInit.tcl,v 1.2 2000/01/14 23:44:17 aku Exp $
#
# @c Initialization file for the script library distributed with the C code.
# @s Initialization file

# Create the namespace for all commands in this extension / package

namespace eval ::listx {
    namespace export *
}

# ------------------------------------------------------------------
# Set up the auto-loader to get the commands as they are used.

set dir $::listx::library
source [file join $::listx::library tclIndex]
unset dir

# ------------------------------------------------------------------

proc ::listx::unknown {subcmd args} {
    eval ::listx::$subcmd $args
}
