# -*- tcl -*-
#		Listx @mFullVersion@, as of @mDate@
#
# @c Sub commands to access a list as a stack.

proc ::listx::s_push {var element} {
    upvar 2 $var list
    set          list [::listx append $list $element]
}

proc ::listx::s_top {var} {
    upvar 2 $var     list
    ::listx index   $list end
}

proc ::listx::s_pop {var} {
    upvar 2 $var list
    set          list [::listx range $list 0 end-1]
    return
}

proc ::listx::s_dup {var} {
    upvar 2 $var list
    set          list \
	    [::listx concat [::listx range 0 end-1] [::listx index end end]]
    return
}
